#!/bin/sh
#

# initialize some global variables
FORCE_REBOOT=0

# stop current project
if [ -x /tpinstaller/tpctrl.sh ] ; then
    /tpinstaller/tpctrl.sh stop
fi
# stop X server
if [ -x /etc/init.d/S90startx ] ; then
    /etc/init.d/S90startx stop
fi

# some old stuff... here is only for compatability!
rm -f /tpinstaller/libs/Project
mkdir -p /tmp/Project_1
ln -s /tmp/Project_1 /tpinstaller/libs/Project
rm -f /var/www/applet
ln -s /tpinstaller/libs /var/www/applet
rm -f /var/www/fonts
ln -s /usr/share/fonts /var/www/fonts

# change default dir
cd /tmp/install/

# *******************************
# **
# ** Package:all
# **
# *******************************
# *******************************
# **
# ** Package:classpath
# **
# *******************************
# copy files for package classpath
# *******************************
rm -f /usr/share/classpath/glibj.zip
if [ ! -d /usr/share/classpath ] ; then mkdir -p /usr/share/classpath ; fi
cp -dpf ./rootfs/usr/share/classpath/glibj.zip /usr/share/classpath
rm -f /usr/lib/libjava*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libjava* /usr/lib
rm -f /usr/lib/libgtkpeer.so
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libgtkpeer.so /usr/lib
rm -f /usr/lib/libjawt.so
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libjawt.so /usr/lib
rm -f /usr/lib/security/classpath.security
if [ ! -d /usr/lib/security ] ; then mkdir -p /usr/lib/security ; fi
cp -dpf ./rootfs/usr/lib/security/classpath.security /usr/lib/security
rm -f /usr/lib/security/cacerts
if [ ! -d /usr/lib/security ] ; then mkdir -p /usr/lib/security ; fi
cp -dpf ./rootfs/usr/lib/security/cacerts /usr/lib/security
 
# *******************************
# **
# ** Package:ext2fs
# **
# *******************************
# copy files for package ext2fs
# *******************************
rm -f /usr/lib/libext2fs.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libext2fs.so* /usr/lib
rm -f /usr/lib/libcom_err.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libcom_err.so* /usr/lib
rm -f /usr/lib/libblkid.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libblkid.so* /usr/lib
rm -f /usr/lib/libuuid.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libuuid.so* /usr/lib
rm -f /usr/lib/libe2p.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libe2p.so* /usr/lib
rm -f /usr/lib/libss.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libss.so* /usr/lib
rm -f /etc/e2fsck.conf
if [ ! -d /etc ] ; then mkdir -p /etc ; fi
cp -dpf ./rootfs/etc/e2fsck.conf /etc
rm -f /sbin/e2fsck
if [ ! -d /sbin ] ; then mkdir -p /sbin ; fi
cp -dpf ./rootfs/sbin/e2fsck /sbin
rm -f /sbin/blkid
if [ ! -d /sbin ] ; then mkdir -p /sbin ; fi
cp -dpf ./rootfs/sbin/blkid /sbin
rm -f /sbin/badblocks
if [ ! -d /sbin ] ; then mkdir -p /sbin ; fi
cp -dpf ./rootfs/sbin/badblocks /sbin
rm -f /sbin/mke2fs
if [ ! -d /sbin ] ; then mkdir -p /sbin ; fi
cp -dpf ./rootfs/sbin/mke2fs /sbin
rm -f /sbin/tune2fs
if [ ! -d /sbin ] ; then mkdir -p /sbin ; fi
cp -dpf ./rootfs/sbin/tune2fs /sbin
 
# *******************************
# **
# ** Package:ffmpeg
# **
# *******************************
# copy files for package ffmpeg
# *******************************
rm -f /usr/lib/libavcodec.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libavcodec.so* /usr/lib
rm -f /usr/lib/libavdevice.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libavdevice.so* /usr/lib
rm -f /usr/lib/libavformat.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libavformat.so* /usr/lib
rm -f /usr/lib/libavutil.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libavutil.so* /usr/lib
rm -f /usr/lib/libswscale.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libswscale.so* /usr/lib
rm -f /usr/bin/ffmpeg
if [ ! -d /usr/bin ] ; then mkdir -p /usr/bin ; fi
cp -dpf ./rootfs/usr/bin/ffmpeg /usr/bin
rm -f /usr/bin/ffplay
if [ ! -d /usr/bin ] ; then mkdir -p /usr/bin ; fi
cp -dpf ./rootfs/usr/bin/ffplay /usr/bin
 
# *******************************
# **
# ** Package:initd
# **
# *******************************
# copy files for package initd
# *******************************
rm -f /root/.ssh/authorized_keys
if [ ! -d /root/.ssh ] ; then mkdir -p /root/.ssh ; fi
cp -dpf ./rootfs/root/.ssh/authorized_keys /root/.ssh
rm -f /root/.ssh/tpctrl_rsa.pub
if [ ! -d /root/.ssh ] ; then mkdir -p /root/.ssh ; fi
cp -dpf ./rootfs/root/.ssh/tpctrl_rsa.pub /root/.ssh
rm -f /etc/init.d/S20urandom
if [ ! -d /etc/init.d ] ; then mkdir -p /etc/init.d ; fi
cp -dpf ./rootfs/etc/init.d/S20urandom /etc/init.d
rm -f /etc/init.d/S40network
if [ ! -d /etc/init.d ] ; then mkdir -p /etc/init.d ; fi
cp -dpf ./rootfs/etc/init.d/S40network /etc/init.d
rm -f /etc/init.d/S40setserial
if [ ! -d /etc/init.d ] ; then mkdir -p /etc/init.d ; fi
cp -dpf ./rootfs/etc/init.d/S40setserial /etc/init.d
rm -f /etc/init.d/S39resetnet
if [ ! -d /etc/init.d ] ; then mkdir -p /etc/init.d ; fi
cp -dpf ./rootfs/etc/init.d/S39resetnet /etc/init.d
rm -f /etc/init.d/S41alsa
if [ ! -d /etc/init.d ] ; then mkdir -p /etc/init.d ; fi
cp -dpf ./rootfs/etc/init.d/S41alsa /etc/init.d
rm -f /etc/init.d/S41dhcpc
if [ ! -d /etc/init.d ] ; then mkdir -p /etc/init.d ; fi
cp -dpf ./rootfs/etc/init.d/S41dhcpc /etc/init.d
rm -f /etc/init.d/S41staticip
if [ ! -d /etc/init.d ] ; then mkdir -p /etc/init.d ; fi
cp -dpf ./rootfs/etc/init.d/S41staticip /etc/init.d
rm -f /etc/init.d/S41zcip
if [ ! -d /etc/init.d ] ; then mkdir -p /etc/init.d ; fi
cp -dpf ./rootfs/etc/init.d/S41zcip /etc/init.d
rm -f /etc/init.d/S50dropbear
if [ ! -d /etc/init.d ] ; then mkdir -p /etc/init.d ; fi
cp -dpf ./rootfs/etc/init.d/S50dropbear /etc/init.d
rm -f /etc/init.d/S50fontconfig
if [ ! -d /etc/init.d ] ; then mkdir -p /etc/init.d ; fi
cp -dpf ./rootfs/etc/init.d/S50fontconfig /etc/init.d
rm -f /etc/init.d/S50gtkconfig
if [ ! -d /etc/init.d ] ; then mkdir -p /etc/init.d ; fi
cp -dpf ./rootfs/etc/init.d/S50gtkconfig /etc/init.d
rm -f /etc/init.d/S50httpd
if [ ! -d /etc/init.d ] ; then mkdir -p /etc/init.d ; fi
cp -dpf ./rootfs/etc/init.d/S50httpd /etc/init.d
rm -f /etc/init.d/S50pangoconfig
if [ ! -d /etc/init.d ] ; then mkdir -p /etc/init.d ; fi
cp -dpf ./rootfs/etc/init.d/S50pangoconfig /etc/init.d
rm -f /etc/init.d/S60inputattach
if [ ! -d /etc/init.d ] ; then mkdir -p /etc/init.d ; fi
cp -dpf ./rootfs/etc/init.d/S60inputattach /etc/init.d
rm -f /etc/init.d/S90startx
if [ ! -d /etc/init.d ] ; then mkdir -p /etc/init.d ; fi
cp -dpf ./rootfs/etc/init.d/S90startx /etc/init.d
rm -f /etc/init.d/S99audio
if [ ! -d /etc/init.d ] ; then mkdir -p /etc/init.d ; fi
cp -dpf ./rootfs/etc/init.d/S99audio /etc/init.d
rm -f /etc/init.d/S99video
if [ ! -d /etc/init.d ] ; then mkdir -p /etc/init.d ; fi
cp -dpf ./rootfs/etc/init.d/S99video /etc/init.d
rm -f /etc/init.d/rcS
if [ ! -d /etc/init.d ] ; then mkdir -p /etc/init.d ; fi
cp -dpf ./rootfs/etc/init.d/rcS /etc/init.d
rm -f /etc/shadow
if [ ! -d /etc ] ; then mkdir -p /etc ; fi
cp -dpf ./rootfs/etc/shadow /etc
rm -f /etc/network/netctrl
if [ ! -d /etc/network ] ; then mkdir -p /etc/network ; fi
cp -dpf ./rootfs/etc/network/netctrl /etc/network
rm -f /etc/network/interfaces
if [ ! -d /etc/network ] ; then mkdir -p /etc/network ; fi
cp -dpf ./rootfs/etc/network/interfaces /etc/network
rm -f /etc/network/zcip.script
if [ ! -d /etc/network ] ; then mkdir -p /etc/network ; fi
cp -dpf ./rootfs/etc/network/zcip.script /etc/network
rm -f /etc/network/udhcpc.script
if [ ! -d /etc/network ] ; then mkdir -p /etc/network ; fi
cp -dpf ./rootfs/etc/network/udhcpc.script /etc/network
rm -f /tpinstaller/ttysprobe
if [ ! -d /tpinstaller ] ; then mkdir -p /tpinstaller ; fi
cp -dpf ./rootfs/tpinstaller/ttysprobe /tpinstaller
rm -f /root/ResetNetwork.wav
if [ ! -d /root ] ; then mkdir -p /root ; fi
cp -dpf ./rootfs/root/ResetNetwork.wav /root
rm -f /root/WinXPStartup.wav
if [ ! -d /root ] ; then mkdir -p /root ; fi
cp -dpf ./rootfs/root/WinXPStartup.wav /root
 
# *******************************
# **
# ** Package:jamvm
# **
# *******************************
# copy files for package jamvm
# *******************************
rm -f /usr/bin/jamvm
if [ ! -d /usr/bin ] ; then mkdir -p /usr/bin ; fi
cp -dpf ./rootfs/usr/bin/jamvm /usr/bin
rm -f /usr/share/jamvm/classes.zip
if [ ! -d /usr/share/jamvm ] ; then mkdir -p /usr/share/jamvm ; fi
cp -dpf ./rootfs/usr/share/jamvm/classes.zip /usr/share/jamvm
 
# *******************************
# **
# ** Package:kernel
# **
# *******************************
# copy files for package kernel
# *******************************
rm -f /boot/bzImage-geode-lxgx
if [ ! -d /boot ] ; then mkdir -p /boot ; fi
cp -dpf ./rootfs/boot/bzImage-geode-lxgx /boot
rm -f /etc/lilo.conf.template
if [ ! -d /etc ] ; then mkdir -p /etc ; fi
cp -dpf ./rootfs/etc/lilo.conf.template /etc
rm -f /sbin/liloconfig
if [ ! -d /sbin ] ; then mkdir -p /sbin ; fi
cp -dpf ./rootfs/sbin/liloconfig /sbin
rm -f /etc/fb.modes
if [ ! -d /etc ] ; then mkdir -p /etc ; fi
cp -dpf ./rootfs/etc/fb.modes /etc
rm -f /etc/fstab.template
if [ ! -d /etc ] ; then mkdir -p /etc ; fi
cp -dpf ./rootfs/etc/fstab.template /etc
rm -f /etc/forcefsck
if [ ! -d /etc ] ; then mkdir -p /etc ; fi
cp -dpf ./rootfs/etc/forcefsck /etc
rm -f /etc/inittab
if [ ! -d /etc ] ; then mkdir -p /etc ; fi
cp -dpf ./rootfs/etc/inittab /etc
rm -f /etc/init.d/S01init
if [ ! -d /etc/init.d ] ; then mkdir -p /etc/init.d ; fi
cp -dpf ./rootfs/etc/init.d/S01init /etc/init.d
rm -f /etc/init.d/S99license
if [ ! -d /etc/init.d ] ; then mkdir -p /etc/init.d ; fi
cp -dpf ./rootfs/etc/init.d/S99license /etc/init.d
rm -f /usr/bin/startx
if [ ! -d /usr/bin ] ; then mkdir -p /usr/bin ; fi
cp -dpf ./rootfs/usr/bin/startx /usr/bin
rm -f /usr/bin/setserial
if [ ! -d /usr/bin ] ; then mkdir -p /usr/bin ; fi
cp -dpf ./rootfs/usr/bin/setserial /usr/bin
 
# *******************************
# **
# ** Package:libSDL
# **
# *******************************
# copy files for package libSDL
# *******************************
rm -f /usr/lib/libSDL-1.2.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libSDL-1.2.so* /usr/lib
rm -f /usr/lib/libSDL.so
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libSDL.so /usr/lib
 
# *******************************
# **
# ** Package:libogg
# **
# *******************************
# copy files for package libogg
# *******************************
rm -f /usr/lib/libspeex.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libspeex.so* /usr/lib
rm -f /usr/lib/libspeexdsp.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libspeexdsp.so* /usr/lib
rm -f /usr/lib/libtheora.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libtheora.so* /usr/lib
rm -f /usr/lib/libtheoraenc.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libtheoraenc.so* /usr/lib
rm -f /usr/lib/libtheoradec.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libtheoradec.so* /usr/lib
rm -f /usr/lib/libvorbis.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libvorbis.so* /usr/lib
rm -f /usr/lib/libvorbisenc.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libvorbisenc.so* /usr/lib
rm -f /usr/lib/libogg.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libogg.so* /usr/lib
 
# *******************************
# **
# ** Package:libusb
# **
# *******************************
# copy files for package libusb
# *******************************
rm -f /usr/lib/libusb-1.0.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libusb-1.0.so* /usr/lib
rm -f /usr/lib/libusb-0.1.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libusb-0.1.so* /usr/lib
rm -f /usr/lib/libusb.so
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libusb.so /usr/lib
 
# *******************************
# **
# ** Package:linphone
# **
# *******************************
# pre install commands for package linphone
# *******************************
#creating video devices /dev/video0-3
if [ ! -c /dev/video0 ] ; then            
  /bin/rm -f /dev/video0              
  /bin/mknod /dev/video0 c 81 0               
fi        
if [ ! -c /dev/video1 ] ; then
  /bin/rm -f /dev/video1
  /bin/mknod /dev/video1 c 81 1
fi
if [ ! -c /dev/video2 ] ; then
  /bin/rm -f /dev/video2
  /bin/mknod /dev/video2 c 81 2
fi
if [ ! -c /dev/video3 ] ; then
  /bin/rm -f /dev/video3
  /bin/mknod /dev/video3 c 81 3
fi

 
# copy files for package linphone
# *******************************
rm -f /usr/lib/liblinphone.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/liblinphone.so* /usr/lib
rm -f /usr/lib/libeXosip2.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libeXosip2.so* /usr/lib
rm -f /usr/lib/libmediastreamer.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libmediastreamer.so* /usr/lib
rm -f /usr/lib/libortp.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libortp.so* /usr/lib
rm -f /usr/lib/libosip2.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libosip2.so* /usr/lib
rm -f /usr/lib/libosipparser2.so*
if [ ! -d /usr/lib ] ; then mkdir -p /usr/lib ; fi
cp -dpf ./rootfs/usr/lib/libosipparser2.so* /usr/lib
rm -f /usr/bin/linphonec
if [ ! -d /usr/bin ] ; then mkdir -p /usr/bin ; fi
cp -dpf ./rootfs/usr/bin/linphonec /usr/bin
rm -f /usr/share/sounds/linphone/ringback.wav
if [ ! -d /usr/share/sounds/linphone ] ; then mkdir -p /usr/share/sounds/linphone ; fi
cp -dpf ./rootfs/usr/share/sounds/linphone/ringback.wav /usr/share/sounds/linphone
rm -f /usr/share/sounds/linphone/rings/orig.wav
if [ ! -d /usr/share/sounds/linphone/rings ] ; then mkdir -p /usr/share/sounds/linphone/rings ; fi
cp -dpf ./rootfs/usr/share/sounds/linphone/rings/orig.wav /usr/share/sounds/linphone/rings
rm -f /usr/share/images/nowebcamCIF.jpg
if [ ! -d /usr/share/images ] ; then mkdir -p /usr/share/images ; fi
cp -dpf ./rootfs/usr/share/images/nowebcamCIF.jpg /usr/share/images
 
# *******************************
# **
# ** Package:pkgman
# **
# *******************************
# copy files for package pkgman
# *******************************
rm -f /var/pkg/*
if [ ! -d /var/pkg ] ; then mkdir -p /var/pkg ; fi
cp -dpf ./rootfs/var/pkg/* /var/pkg
 
# *******************************
# **
# ** Package:ser2net
# **
# *******************************
# pre install commands for package ser2net
# *******************************
if [ -x /etc/init.d/S50ser2net ] ; then
    /etc/init.d/S50ser2net stop
fi

 
# copy files for package ser2net
# *******************************
rm -f /usr/sbin/ser2net
if [ ! -d /usr/sbin ] ; then mkdir -p /usr/sbin ; fi
cp -dpf ./rootfs/usr/sbin/ser2net /usr/sbin
rm -f /etc/ser2net.conf
if [ ! -d /etc ] ; then mkdir -p /etc ; fi
cp -dpf ./rootfs/etc/ser2net.conf /etc
rm -f /etc/init.d/S50ser2net
if [ ! -d /etc/init.d ] ; then mkdir -p /etc/init.d ; fi
cp -dpf ./rootfs/etc/init.d/S50ser2net /etc/init.d
 
# post install commands for package ser2net
# *******************************
if [ -x /etc/init.d/S50ser2net ] ; then
    /etc/init.d/S50ser2net start
fi

 
# *******************************
# **
# ** Package:tpctrl
# **
# *******************************
# pre install commands for package tpctrl
# *******************************
if [ -x /etc/init.d/S99wdog ] ; then
    /etc/init.d/S99wdog stop
fi

 
# copy files for package tpctrl
# *******************************
rm -f /tpinstaller/tpctrl.sh
if [ ! -d /tpinstaller ] ; then mkdir -p /tpinstaller ; fi
cp -dpf ./rootfs/tpinstaller/tpctrl.sh /tpinstaller
rm -f /tpinstaller/tpjvmd.sh
if [ ! -d /tpinstaller ] ; then mkdir -p /tpinstaller ; fi
cp -dpf ./rootfs/tpinstaller/tpjvmd.sh /tpinstaller
rm -f /tpinstaller/log4j.properties
if [ ! -d /tpinstaller ] ; then mkdir -p /tpinstaller ; fi
cp -dpf ./rootfs/tpinstaller/log4j.properties /tpinstaller
rm -f /tpinstaller/log4j-dbg.properties
if [ ! -d /tpinstaller ] ; then mkdir -p /tpinstaller ; fi
cp -dpf ./rootfs/tpinstaller/log4j-dbg.properties /tpinstaller
rm -f /tpinstaller/libs/libusb4j.jar
if [ ! -d /tpinstaller/libs ] ; then mkdir -p /tpinstaller/libs ; fi
cp -dpf ./rootfs/tpinstaller/libs/libusb4j.jar /tpinstaller/libs
rm -f /tpinstaller/libs/libusb4j-s.jar
if [ ! -d /tpinstaller/libs ] ; then mkdir -p /tpinstaller/libs ; fi
cp -dpf ./rootfs/tpinstaller/libs/libusb4j-s.jar /tpinstaller/libs
rm -f /tpinstaller/libs/eibbus.jar
if [ ! -d /tpinstaller/libs ] ; then mkdir -p /tpinstaller/libs ; fi
cp -dpf ./rootfs/tpinstaller/libs/eibbus.jar /tpinstaller/libs
rm -f /tpinstaller/libs/eibbus-s.jar
if [ ! -d /tpinstaller/libs ] ; then mkdir -p /tpinstaller/libs ; fi
cp -dpf ./rootfs/tpinstaller/libs/eibbus-s.jar /tpinstaller/libs
rm -f /tpinstaller/libs/eib.jar
if [ ! -d /tpinstaller/libs ] ; then mkdir -p /tpinstaller/libs ; fi
cp -dpf ./rootfs/tpinstaller/libs/eib.jar /tpinstaller/libs
rm -f /tpinstaller/libs/eib-s.jar
if [ ! -d /tpinstaller/libs ] ; then mkdir -p /tpinstaller/libs ; fi
cp -dpf ./rootfs/tpinstaller/libs/eib-s.jar /tpinstaller/libs
rm -f /tpinstaller/libs/tpinstaller.jar
if [ ! -d /tpinstaller/libs ] ; then mkdir -p /tpinstaller/libs ; fi
cp -dpf ./rootfs/tpinstaller/libs/tpinstaller.jar /tpinstaller/libs
rm -f /tpinstaller/libs/tpinstaller-s.jar
if [ ! -d /tpinstaller/libs ] ; then mkdir -p /tpinstaller/libs ; fi
cp -dpf ./rootfs/tpinstaller/libs/tpinstaller-s.jar /tpinstaller/libs
rm -f /tpinstaller/libs/log4j-*.jar
if [ ! -d /tpinstaller/libs ] ; then mkdir -p /tpinstaller/libs ; fi
cp -dpf ./rootfs/tpinstaller/libs/log4j-*.jar /tpinstaller/libs
rm -f /tpinstaller/libs/xpp3_min-*.jar
if [ ! -d /tpinstaller/libs ] ; then mkdir -p /tpinstaller/libs ; fi
cp -dpf ./rootfs/tpinstaller/libs/xpp3_min-*.jar /tpinstaller/libs
rm -f /tpinstaller/libs/xstream-*.jar
if [ ! -d /tpinstaller/libs ] ; then mkdir -p /tpinstaller/libs ; fi
cp -dpf ./rootfs/tpinstaller/libs/xstream-*.jar /tpinstaller/libs
rm -f /tpinstaller/libs/activation.jar
if [ ! -d /tpinstaller/libs ] ; then mkdir -p /tpinstaller/libs ; fi
cp -dpf ./rootfs/tpinstaller/libs/activation.jar /tpinstaller/libs
rm -f /tpinstaller/libs/mail.jar
if [ ! -d /tpinstaller/libs ] ; then mkdir -p /tpinstaller/libs ; fi
cp -dpf ./rootfs/tpinstaller/libs/mail.jar /tpinstaller/libs
rm -f /tpinstaller/libs/commons-email-*.jar
if [ ! -d /tpinstaller/libs ] ; then mkdir -p /tpinstaller/libs ; fi
cp -dpf ./rootfs/tpinstaller/libs/commons-email-*.jar /tpinstaller/libs
rm -f /tpinstaller/libs/dnsjava-*.jar
if [ ! -d /tpinstaller/libs ] ; then mkdir -p /tpinstaller/libs ; fi
cp -dpf ./rootfs/tpinstaller/libs/dnsjava-*.jar /tpinstaller/libs
rm -f /tpinstaller/libs/ttaspirin.jar
if [ ! -d /tpinstaller/libs ] ; then mkdir -p /tpinstaller/libs ; fi
cp -dpf ./rootfs/tpinstaller/libs/ttaspirin.jar /tpinstaller/libs
rm -f /tpinstaller/ttwdog.sh
if [ ! -d /tpinstaller ] ; then mkdir -p /tpinstaller ; fi
cp -dpf ./rootfs/tpinstaller/ttwdog.sh /tpinstaller
rm -f /var/www/stdstyle.css
if [ ! -d /var/www ] ; then mkdir -p /var/www ; fi
cp -dpf ./rootfs/var/www/stdstyle.css /var/www
rm -f /var/www/index.html
if [ ! -d /var/www ] ; then mkdir -p /var/www ; fi
cp -dpf ./rootfs/var/www/index.html /var/www
rm -f /var/www/CDinnovation.png
if [ ! -d /var/www ] ; then mkdir -p /var/www ; fi
cp -dpf ./rootfs/var/www/CDinnovation.png /var/www
rm -f /var/www/admin/index.html
if [ ! -d /var/www/admin ] ; then mkdir -p /var/www/admin ; fi
cp -dpf ./rootfs/var/www/admin/index.html /var/www/admin
rm -f /var/www/cgi-bin/debug
if [ ! -d /var/www/cgi-bin ] ; then mkdir -p /var/www/cgi-bin ; fi
cp -dpf ./rootfs/var/www/cgi-bin/debug /var/www/cgi-bin
rm -f /var/www/cgi-bin/deletelog
if [ ! -d /var/www/cgi-bin ] ; then mkdir -p /var/www/cgi-bin ; fi
cp -dpf ./rootfs/var/www/cgi-bin/deletelog /var/www/cgi-bin
rm -f /var/www/cgi-bin/downloadlog
if [ ! -d /var/www/cgi-bin ] ; then mkdir -p /var/www/cgi-bin ; fi
cp -dpf ./rootfs/var/www/cgi-bin/downloadlog /var/www/cgi-bin
rm -f /var/www/cgi-bin/info
if [ ! -d /var/www/cgi-bin ] ; then mkdir -p /var/www/cgi-bin ; fi
cp -dpf ./rootfs/var/www/cgi-bin/info /var/www/cgi-bin
rm -f /var/www/cgi-bin/listlogfiles
if [ ! -d /var/www/cgi-bin ] ; then mkdir -p /var/www/cgi-bin ; fi
cp -dpf ./rootfs/var/www/cgi-bin/listlogfiles /var/www/cgi-bin
rm -f /var/www/cgi-bin/rotatelog
if [ ! -d /var/www/cgi-bin ] ; then mkdir -p /var/www/cgi-bin ; fi
cp -dpf ./rootfs/var/www/cgi-bin/rotatelog /var/www/cgi-bin
rm -f /var/www/cgi-bin/setsipconf
if [ ! -d /var/www/cgi-bin ] ; then mkdir -p /var/www/cgi-bin ; fi
cp -dpf ./rootfs/var/www/cgi-bin/setsipconf /var/www/cgi-bin
rm -f /var/www/cgi-bin/sipconf
if [ ! -d /var/www/cgi-bin ] ; then mkdir -p /var/www/cgi-bin ; fi
cp -dpf ./rootfs/var/www/cgi-bin/sipconf /var/www/cgi-bin
rm -f /var/www/cgi-bin/setethconf
if [ ! -d /var/www/cgi-bin ] ; then mkdir -p /var/www/cgi-bin ; fi
cp -dpf ./rootfs/var/www/cgi-bin/setethconf /var/www/cgi-bin
rm -f /var/www/cgi-bin/ethconf
if [ ! -d /var/www/cgi-bin ] ; then mkdir -p /var/www/cgi-bin ; fi
cp -dpf ./rootfs/var/www/cgi-bin/ethconf /var/www/cgi-bin
rm -f /var/www/cgi-bin/test
if [ ! -d /var/www/cgi-bin ] ; then mkdir -p /var/www/cgi-bin ; fi
cp -dpf ./rootfs/var/www/cgi-bin/test /var/www/cgi-bin
rm -f /var/www/cgi-bin/viewlog
if [ ! -d /var/www/cgi-bin ] ; then mkdir -p /var/www/cgi-bin ; fi
cp -dpf ./rootfs/var/www/cgi-bin/viewlog /var/www/cgi-bin
rm -f /var/www/cgi-bin/smtpconf
if [ ! -d /var/www/cgi-bin ] ; then mkdir -p /var/www/cgi-bin ; fi
cp -dpf ./rootfs/var/www/cgi-bin/smtpconf /var/www/cgi-bin
rm -f /var/www/cgi-bin/setsmtpconf
if [ ! -d /var/www/cgi-bin ] ; then mkdir -p /var/www/cgi-bin ; fi
cp -dpf ./rootfs/var/www/cgi-bin/setsmtpconf /var/www/cgi-bin
rm -f /var/www/cgi-bin/wdogconf
if [ ! -d /var/www/cgi-bin ] ; then mkdir -p /var/www/cgi-bin ; fi
cp -dpf ./rootfs/var/www/cgi-bin/wdogconf /var/www/cgi-bin
rm -f /var/www/cgi-bin/setwdogconf
if [ ! -d /var/www/cgi-bin ] ; then mkdir -p /var/www/cgi-bin ; fi
cp -dpf ./rootfs/var/www/cgi-bin/setwdogconf /var/www/cgi-bin
rm -f /var/www/cgi-bin/sysctl
if [ ! -d /var/www/cgi-bin ] ; then mkdir -p /var/www/cgi-bin ; fi
cp -dpf ./rootfs/var/www/cgi-bin/sysctl /var/www/cgi-bin
rm -f /var/www/cgi-bin/setsysctl
if [ ! -d /var/www/cgi-bin ] ; then mkdir -p /var/www/cgi-bin ; fi
cp -dpf ./rootfs/var/www/cgi-bin/setsysctl /var/www/cgi-bin
rm -f /var/www/sip/index.html
if [ ! -d /var/www/sip ] ; then mkdir -p /var/www/sip ; fi
cp -dpf ./rootfs/var/www/sip/index.html /var/www/sip
rm -f /var/www/eth/index.html
if [ ! -d /var/www/eth ] ; then mkdir -p /var/www/eth ; fi
cp -dpf ./rootfs/var/www/eth/index.html /var/www/eth
rm -f /var/www/smtp/index.html
if [ ! -d /var/www/smtp ] ; then mkdir -p /var/www/smtp ; fi
cp -dpf ./rootfs/var/www/smtp/index.html /var/www/smtp
rm -f /var/www/wdog/index.html
if [ ! -d /var/www/wdog ] ; then mkdir -p /var/www/wdog ; fi
cp -dpf ./rootfs/var/www/wdog/index.html /var/www/wdog
rm -f /var/www/logs/index.html
if [ ! -d /var/www/logs ] ; then mkdir -p /var/www/logs ; fi
cp -dpf ./rootfs/var/www/logs/index.html /var/www/logs
rm -f /etc/tp-audio.conf-default
if [ ! -d /etc ] ; then mkdir -p /etc ; fi
cp -dpf ./rootfs/etc/tp-audio.conf-default /etc
rm -f /etc/tp-logger.conf-default
if [ ! -d /etc ] ; then mkdir -p /etc ; fi
cp -dpf ./rootfs/etc/tp-logger.conf-default /etc
rm -f /etc/tp-sip.conf-default
if [ ! -d /etc ] ; then mkdir -p /etc ; fi
cp -dpf ./rootfs/etc/tp-sip.conf-default /etc
rm -f /etc/tp-locale.conf-default
if [ ! -d /etc ] ; then mkdir -p /etc ; fi
cp -dpf ./rootfs/etc/tp-locale.conf-default /etc
rm -f /etc/tp-network.conf-default
if [ ! -d /etc ] ; then mkdir -p /etc ; fi
cp -dpf ./rootfs/etc/tp-network.conf-default /etc
rm -f /etc/tp-network2.conf-default
if [ ! -d /etc ] ; then mkdir -p /etc ; fi
cp -dpf ./rootfs/etc/tp-network2.conf-default /etc
rm -f /etc/tp-video.conf-default
if [ ! -d /etc ] ; then mkdir -p /etc ; fi
cp -dpf ./rootfs/etc/tp-video.conf-default /etc
rm -f /etc/tp-smtp.conf-default
if [ ! -d /etc ] ; then mkdir -p /etc ; fi
cp -dpf ./rootfs/etc/tp-smtp.conf-default /etc
rm -f /etc/tp-wdog.conf-default
if [ ! -d /etc ] ; then mkdir -p /etc ; fi
cp -dpf ./rootfs/etc/tp-wdog.conf-default /etc
rm -f /etc/init.d/S99wdog
if [ ! -d /etc/init.d ] ; then mkdir -p /etc/init.d ; fi
cp -dpf ./rootfs/etc/init.d/S99wdog /etc/init.d
 
# post install commands for package tpctrl
# *******************************
# collect version information from libraries
/tpinstaller/tpctrl.sh genuid

 
# *******************************
# **
# ** Package:ttdisc
# **
# *******************************
# pre install commands for package ttdisc
# *******************************
if [ -x /etc/init.d/S50ttdiscd ] ; then
    /etc/init.d/S50ttdiscd stop
fi

 
# copy files for package ttdisc
# *******************************
rm -f /usr/sbin/ttdiscd
if [ ! -d /usr/sbin ] ; then mkdir -p /usr/sbin ; fi
cp -dpf ./rootfs/usr/sbin/ttdiscd /usr/sbin
rm -f /etc/init.d/S50ttdiscd
if [ ! -d /etc/init.d ] ; then mkdir -p /etc/init.d ; fi
cp -dpf ./rootfs/etc/init.d/S50ttdiscd /etc/init.d
rm -f /tpinstaller/ttdisc.sh
if [ ! -d /tpinstaller ] ; then mkdir -p /tpinstaller ; fi
cp -dpf ./rootfs/tpinstaller/ttdisc.sh /tpinstaller
 
# post install commands for package ttdisc
# *******************************
if [ -x /etc/init.d/S50ttdiscd ] ; then
    /etc/init.d/S50ttdiscd start
fi

 
# *******************************
# **
# ** Package:ttplay
# **
# *******************************
# copy files for package ttplay
# *******************************
rm -f /usr/bin/ttplay*
if [ ! -d /usr/bin ] ; then mkdir -p /usr/bin ; fi
cp -dpf ./rootfs/usr/bin/ttplay* /usr/bin
 
# .end install commands for package kernel
# *******************************
# force touchscreen device to be searched again!
rm -f /etc/tsdevice
# try to set rtc to local time
/sbin/hwclock -w
# create RTC device in new way
if [ ! -c /dev/rtc0 ] ; then
    /bin/rm -f /dev/rtc0
    /bin/mknod /dev/rtc0 c 254 0
    /bin/rm -f /dev/rtc
    /bin/ln -s /dev/rtc0 /dev/rtc
fi
# creating event character devices
if [ ! -c /dev/input/event0 ] ; then
    /bin/rm -f /dev/input/event0
    /bin/mknod /dev/input/event0 c 13 64
fi
if [ ! -c /dev/input/event1 ] ; then
    /bin/rm -f /dev/input/event1
    /bin/mknod /dev/input/event1 c 13 65
fi
if [ ! -c /dev/input/event2 ] ; then
    /bin/rm -f /dev/input/event2
    /bin/mknod /dev/input/event2 c 13 66
fi
if [ ! -c /dev/input/event3 ] ; then
    /bin/rm -f /dev/input/event3
    /bin/mknod /dev/input/event3 c 13 67
fi
if [ ! -c /dev/input/event4 ] ; then
    /bin/rm -f /dev/input/event4
    /bin/mknod /dev/input/event4 c 13 68
fi
if [ ! -c /dev/input/event5 ] ; then
    /bin/rm -f /dev/input/event5
    /bin/mknod /dev/input/event5 c 13 69
fi
if [ ! -c /dev/input/event6 ] ; then
    /bin/rm -f /dev/input/event6
    /bin/mknod /dev/input/event6 c 13 70
fi
# create SYS filesystem mount point!
if [ ! -d /sys ] ; then
    /bin/mkdir /sys
    /bin/chmod a+rx /sys
fi
# generate new lilo.conf
/sbin/liloconfig
if [ $? -eq 1 ]; then
    # new /tmp/lilo.conf.gen is generated!
    cp -f /tmp/lilo.conf.gen /etc/lilo.conf
fi
/sbin/lilo
FORCE_REBOOT=1

 
# finish the installation!
if [ -f ./tp-device.conf-default ] ; then
    cp ./tp-device.conf-default /etc/
fi

/sbin/ldconfig
/bin/sync
if [ $FORCE_REBOOT ] ; then
    echo "Remount root file system as read-only!"
    /bin/mount -o remount,ro /
    echo "Reboot device after 15 seconds..."
    /sbin/reboot -d 15
else
    # start project
    /etc/init.d/S90startx start
fi
cd /tmp
rm -rf /tmp/install
exit 0
